# norootforbuild

Name:		topal
Version:	76
Release:	2.9

Summary:	A tool to encrypt, decrypt, sign and verify emails
License: GPL-2.0
Group:		Productivity/Networking/Security
URL:		https://zircon.org.uk/topal/

Source0:	%{name}-package-%{version}.tgz
Patch0: 	topal.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-%{release}-buildroot

BuildRequires:	gcc-ada readline-devel

%description
Topal is a "glue" program that links GnuPG and Pine/Alpine.
It offers facilities to encrypt, decrypt, sign and verify emails.


%prep
%setup -q
%patch0 -p1


%build
export SUSE_ASNEEDED=0
make \
	versionid.tex \
	BUILDDATE="`date -u -d '1970-01-01' '+%Y-%m-%dT%H%M%S%Z'`"
ls -l --time-style=full-iso -t *.pdf *.tex || :
test -f topal.pdf && touch topal.pdf
make \
	binary \
	TOPALDEBUG=-fpic \
	BUILDDATE="`date -u -d '1970-01-01' '+%Y-%m-%dT%H%M%S%Z'`"


%install
%makeinstall \
	INSTALLPATH=%{buildroot}/%{_prefix} \
	INSTALLPATHDOC=%{buildroot}/%{_docdir}/%{name} \
	BUILDDATE="`date -u -d '1970-01-01' '+%Y-%m-%dT%H%M%S%Z'`"

%files
%defattr(-,root,root,-)
%{_bindir}/mime-tool
%{_bindir}/topal
%dir %{_docdir}/topal
%{_docdir}/topal/*
%{_mandir}/man1/mime-tool.1.gz
%{_mandir}/man1/topal.1.gz
%dir %{_datadir}/topal
%dir %{_datadir}/topal/patches
%{_datadir}/topal/patches/*


%changelog
* Sat Feb 27 2010 - Detlef Reichelt <detlef@links2linux.de> - 72
- new upstream release <72>
  * Fix menus for non-Pine sending.
  * Trap attempts to encrypt when no keys are in the key list.
  * Minor change to distrib text and Makefile.
  * Distrib target in Makefile now uses GPG agent.

* Mon Jan 25 2010 - Detlef Reichelt <detlef@links2linux.de> - 70
- initial build for PackMan <70>
